package net.woodyfolsom.msproj;

import static org.junit.Assert.assertTrue;

import net.woodyfolsom.msproj.GameBoard;
import net.woodyfolsom.msproj.GameState;

import org.junit.Test;

public class LegalMoveTest {
	@Test
	public void testLegalMove1Liberty() {
		GameState gameState = new GameState(5);
		gameState.playStone('A', 2, GameBoard.BLACK_STONE);
		gameState.playStone('B', 3, GameBoard.BLACK_STONE);
		gameState.playStone('B', 1, GameBoard.BLACK_STONE);
		assertTrue(gameState.playStone('B', 2, GameBoard.WHITE_STONE));
		System.out.println(gameState);
	}
}